Skip to content

Search or list what a marketplace offers

GET
/v1/marketplaces/{marketplaceId}/items
curl --request GET \
--url 'https://app.skillpouch.net/v1/marketplaces/example/items?kind=skill&sort=popular'

Pages of 30 or so; pass next_cursor back as cursor for more. Without q, skills.sh lists its most installed (sort=popular) or trending skills.

marketplaceId
required
string
<= 64 characters
q
string
<= 200 characters
kind
string
Allowed values: skill agent command instructions mcp_server plugin
cursor
string
<= 500 characters
sort
string
Allowed values: popular trending

Default Response

Media typeapplication/json
object
ok
required
boolean
data
required
object
items
required
Array<object>
object
key
required
string
kind
required
string
Allowed values: skill agent command instructions mcp_server plugin
name
required
string
description
required
string | null
repo
required
string | null
installs
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
next_cursor
required
string | null
total
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
meta
required
object
request_id
required
string
next_cursor
string | null

Example

{
"ok": true,
"data": {
"items": [
{
"kind": "skill"
}
]
}
}